import IUserDataStore from './IUserDataStore';

export class IndexedDB implements IUserDataStore {
  static isSupported(): boolean {
    return 'indexedDB' in window;
  }

  public getItem(ignoredKey: string): string | null {
    throw new Error('Not Implemented');
  }

  public setItem(ignoredKey: string, ignoredValue: string): void {
    throw new Error('Not Implemented');
  }

  public removeItem(ignoredKey: string): void {
    throw new Error('Not Implemented');
  }

  public clear(): void {
    throw new Error('Not Implemented');
  }
}
